Add UGC to campaign
curl --request POST \
--url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ugc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gallery_ids": [
123
],
"media_ids": [
123
]
}
'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ugc"
payload = {
"gallery_ids": [123],
"media_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gallery_ids: [123], media_ids: [123]})
};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ugc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Campaign
Add UGC to campaign
Adds UGC media to a campaign.
POST
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
ugc
Add UGC to campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
The ID of the campaign object.
Required range:
x >= 0Query Parameters
A list of comma-separated IDs indicating the media items to perform the action with.Selected media must belong to the specified campaign.
A list of comma-separated IDs indicating the gallery items to perform the action with.
Body
application/json
Response
No Content
⌘I